update ansible scripts for release 4.4.0

Mar 27, 2017 10:41 AM - Lucio Lelii

Status: Closed Start date: Mar 27, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production,

Production

  

Description

in the new distribution (org.gcube.distribution.smartgears-distribution.2-1-2) released in 4.4.0 there is the possibility to define only VO

scopes accepting request also from children VREs.

To enable this option you must add the following tag to the container.xml file:

true

Specifying as start tokens only the VO tokens and eventually the infrastructure token.

Also the clean-container-state have been re-introduced: it automatically deletes the local state, removes all the related resources

from the IS and saves all the tokens (also the ones dinamically added) in a file on the GHN_HOME dir. the command to execute this

script is:

GHN_HOME/scripts/clean-container-state {token-file-name}

Related issues:

Related to D4Science Infrastructure - Task #7880: Modify the tasks that get a... Closed Mar 28, 2017

History

#1 - Mar 27, 2017 05:30 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

The container.xml template and the related variables have been modified. Now I need a released distribution to test all the workflow.

#2 - Apr 01, 2017 06:16 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

#3 - Apr 01, 2017 06:17 PM - Andrea Dell'Amico

- Related to Task #7880: Modify the tasks that get and configure the smartgears scopes added
